Bug 480474 - [stellarium] Adapt to font package renamings
[stellarium] Adapt to font package renamings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: stellarium (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11-new-font-naming
  Show dependency treegraph
 
Reported: 2009-01-17 07:45 EST by Nicolas Mailhot
Modified: 2009-01-18 11:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-18 11:41:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-01-17 07:45:52 EST
Notification of font package renamings
Comment 1 Nicolas Mailhot 2009-01-17 08:02:04 EST
FPC unexpectedly refused to ratify a proposal that put into writing our de-facto font package naming rules for the past years, and requested naming changes. As a result many font packages have been or will be renamed soon (including recently created packages)

We have detected your package depends on such a font package. Please change your dependencies accordingly.

See also
— http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#fpc_renaminghttp://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2009-01-13)
— http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#What_if_my_package_bundles_Bitstream_Vera.2C_Arev.2C_DejaVu_LGC_or_another_Bitstream_Vera_font_derivative.3F

To ease the transition and avoid breaking F11 Alpha DejaVu has already been renamed but still declares its old names for full via rpm Provides. Those provides will be removed for Fedora 11 beta, to ensure no remaining legacy deps remains in the distribution. In the meanwhile packages depending on DejaVu full won't break and can be adapted at your leasure.
Comment 2 Jochen Schmitt 2009-01-18 11:41:23 EST
Should be done in stallarium-0.10.0-3

Note You need to log in before you can comment on or make changes to this bug.